Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.experiment
Class RunControl

    java.lang.Object
      nl.tudelft.simulation.event.EventProducer
          nl.tudelft.simulation.dsol.experiment.RunControl

All Implemented Interfaces:
  java.util.EventListener, nl.tudelft.simulation.event.EventListenerInterface, nl.tudelft.simulation.event.EventProducerInterface, java.io.Serializable

public class RunControl
extends nl.tudelft.simulation.event.EventProducer
implements java.io.Serializable, nl.tudelft.simulation.event.EventListenerInterface

The RunControl specifies all parameters for the simulator.
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  2.0 21.09.2003
Author:
  Peter Jacobs , Alexander Verbraeck
See Also:
  Serialized Form

Field Summary
`static nl.tudelft.simulation.event.EventType` | `END_OF_RUN_EVENT` END_OF_RUN_EVENT is fired at the end of a run
`protected Treatment` | `treatment` treatment reflects the treatment to which this runcontrol belongs

Fields inherited from class nl.tudelft.simulation.event.EventProducer
`listeners`

Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`FIRST_POSITION, LAST_POSITION`

Constructor Summary
`RunControl(Treatment treatment)` Constructs a new RunControl object.

Method Summary
`Replication[]` | `getReplications()` returns the replications defined in this runControl
`double` | `getRunLength()` returns the runLength
`Treatment` | `getTreatment()` returns the treatment
`double` | `getWarmupPeriod()` returns the warmupPeriod
`void` | `notify(nl.tudelft.simulation.event.EventInterface event)`
`void` | `reset()` resets the RunControl
`void` | `setReplications(Replication[] replications)` sets the replications
`void` | `setRunLength(double runLength)` sets the runLength
`void` | `setWarmupPeriod(double warmupPeriod)` sets the warmupPeriod
`void` | `start(SimulatorInterface simulator)` starts the runControl
`java.lang.String` | `toString()`

Methods inherited from class nl.tudelft.simulation.event.EventProducer
`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, getEventTypes, removeAllListeners, removeAllListeners, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### END_OF_RUN_EVENT

    public static final nl.tudelft.simulation.event.EventType END_OF_RUN_EVENT

  END_OF_RUN_EVENT is fired at the end of a run

### treatment

    protected Treatment treatment

  treatment reflects the treatment to which this runcontrol belongs

Constructor Detail

### RunControl

    public RunControl(Treatment treatment)

  Constructs a new RunControl object.

Parameters:
  `treatment` - The parent treatment

Method Detail

### start

    public void start(SimulatorInterface simulator)
               throws java.rmi.RemoteException

  starts the runControl

  Parameters:
    `simulator` - is the simulator
  Throws:
    `java.rmi.RemoteException` - on network failure

### getTreatment

    public Treatment getTreatment()

  returns the treatment

  Returns:
    treatment

### getReplications

    public Replication[] getReplications()

  returns the replications defined in this runControl

  Returns:
    Replication the replications

### getRunLength

    public double getRunLength()

  returns the runLength

  Returns:
    double the runlength

### getWarmupPeriod

    public double getWarmupPeriod()

  returns the warmupPeriod

  Returns:
    double the warmup period

### notify

    public void notify(nl.tudelft.simulation.event.EventInterface event)

  Specified by:
    `notify` in interface `nl.tudelft.simulation.event.EventListenerInterface`
  See Also:
    `#notify(nl.tudelft.simulation.event.EventInterface)`

### reset

    public void reset()

  resets the RunControl

### setReplications

    public void setReplications(Replication[] replications)

  sets the replications

  Parameters:
    `replications` - the replications of the runControl

### setRunLength

    public void setRunLength(double runLength)

  sets the runLength

  Parameters:
    `runLength` - which is the runLength

### setWarmupPeriod

    public void setWarmupPeriod(double warmupPeriod)

  sets the warmupPeriod

  Parameters:
    `warmupPeriod` - reflects the warmupPeriod

### toString

    public java.lang.String toString()

  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.